class NSHTMLCanvasElement {
    constructor(canvasView, canvasContext) {
        this._canvasViewRef = new WeakRef(canvasView);
        this._contextRef = new WeakRef(canvasContext);
    }
    get view() {
        return this._canvasViewRef.deref();
    }
    get nativeContext() {
        return this._contextRef.deref();
    }
    get width() {
        const context = this.nativeContext;
        return context != null ? context.getWidth() : 0;
    }
    set width(val) {
        const view = this.view;
        if (view) {
            view.width = val;
        }
    }
    get height() {
        const context = this.nativeContext;
        return context != null ? context.getHeight() : 0;
    }
    set height(val) {
        const view = this.view;
        if (view) {
            view.height = val;
        }
    }
}
export { NSHTMLCanvasElement as HTMLCanvasElement };
//# sourceMappingURL=HTMLCanvasElement.js.map