import { CanvasRenderingContext2D } from './CanvasRenderingContext2D';
const contextMap = new WeakMap();
function get2DContextByView(view) {
    if (contextMap.has(view)) {
        const context = contextMap.get(view);
        if (!context.isContextLost()) {
            return context;
        }
    }
    return null;
}
function getOrCreate2DContext(view, canvas) {
    let context;
    if (contextMap.has(view)) {
        const context = contextMap.get(view);
        if (!context.isContextLost()) {
            return context;
        }
    }
    context = new CanvasRenderingContext2D(view, canvas);
    contextMap.set(view, context);
    return context;
}
export { get2DContextByView, getOrCreate2DContext };
//# sourceMappingURL=context.js.map